### Method

# ICalGLib Recurrence get_by_array

since: 4.0

#### Declaration [src]

    GArray*
    i_cal_recurrence_get_by_array (
      ICalRecurrence* recur,
      ICalRecurrenceByRule byrule
    )

#### Description [src]

Gets the by[byrule] array from `ICalRecurrence`.

Available since: 4.0

#### Parameters

`byrule`

  Type: `ICalRecurrenceByRule`

  The ‘by’ part to use.

#### Return value

Type: An array of `short`

The by[byrule] of `ICalRecurrence`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.